Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.states
Interface CIBAvailabilityStatusState

All Superinterfaces:
  CIBProvider, CIBState

public interface CIBAvailabilityStatusState
extends CIBState

The State model specifies the attributes that a compliant Java ES managed object must implement. A managed object (MBean) which implements the State model could generate events when the availability status changes.

Field Summary
`static int` | `CONGESTED` Indicates that the managed object is experiencing degraded operating conditions due to an overload.
`static int` | `DEGRADED` Indicates that the managed object is experiencing degraded operating conditions due to a high rate of errors.
`static int` | `NORMAL` Indicates that the managed object is in RUNNING state and perform normally.

Method Summary
`long` | `getDegradedTime()` Returns the time the managed object has entered a degraded operational status state (i.e.

Methods inherited from interface com.sun.mfwk.cib.states.CIBState
`getLastChange, getState, toStateString`

Methods inherited from interface com.sun.mfwk.cib.providers.CIBProvider
`destroy, init`

Field Detail

### NORMAL

    public static final int NORMAL

  Indicates that the managed object is in RUNNING state and perform normally.

  See Also:
    Constant Field Values

### DEGRADED

    public static final int DEGRADED

  Indicates that the managed object is experiencing degraded operating conditions due to a high rate of errors. On entering this state the managed object may generate an event. Support of the DEGRADED state is optional for the managed objects implementing the StateManageable model.

  See Also:
    Constant Field Values

### CONGESTED

    public static final int CONGESTED

  Indicates that the managed object is experiencing degraded operating conditions due to an overload. On entering this state the managed object may generate an event. Support of the CONGESTED state is optional for the managed objects implementing the StateManageable model.

  See Also:
    Constant Field Values

Method Detail

### getDegradedTime

    public long getDegradedTime()
                         throws CIBIOException,
                                CIBAttributeNotFoundException

  Returns the time the managed object has entered a degraded operational status state (i.e. DEGRADED or CONGESTED operational status) represented as a long, which value is the number of milliseconds since January 1, 1970, 00:00:00.

  Returns:
    long
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD